# OpalAuthorisationRequestCommand Class Reference

`#include <pres_ent.h>`

Inheritance diagram for OpalAuthorisationRequestCommand:

[legend]
Collaboration diagram for OpalAuthorisationRequestCommand:
[legend]

## Public Member Functions

| OpalAuthorisationRequestCommand ()

## Data Fields

OpalPresentity::Authorisation | m_authorisation
| Authorisation mode to indicate to remote.
PString | m_note
| Optional extra note attached to subscription request.

## Detailed Description

Command for authorising a request by some other presentity to see our status. This action is typically due to some other presentity doing the equivalent of a OpalSubscribeToPresenceCommand. The mechanism by which this happens is dependent on the concrete OpalPresentity class and it's underlying protocol.

## Constructor & Destructor Documentation

OpalAuthorisationRequestCommand::OpalAuthorisationRequestCommand | ( |  | ) | `[inline]`

## Field Documentation

OpalPresentity::Authorisation OpalAuthorisationRequestCommand::m_authorisation

Authorisation mode to indicate to remote.

PString OpalAuthorisationRequestCommand::m_note

Optional extra note attached to subscription request.

The documentation for this class was generated from the following file:

- pres_ent.h